## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/sharkwouter/%{name}
%global tag %{version}

Name:           minigalaxy
Version:        1.2.6
Release:        %autorelease
Summary:        GOG client for Linux that lets you download and play your GOG Linux games

%forgemeta

BuildArch:      noarch

# CC-BY-3.0:    Logo image (data/minigalaxy.png)
License:        GPL-3.0-or-later and CC-BY-3.0
URL:            https://sharkwouter.github.io/minigalaxy
Source0:        %{forgesource}

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  python3-devel
BuildRequires:  python3-gobject-devel >= 3.30
BuildRequires:  python3-setuptools

BuildRequires:  python3dist(requests)

Requires:       hicolor-icon-theme
Requires:       python3-requests
Requires:       unzip
Requires:       webkit2gtk3

Recommends:     dosbox
Recommends:     gamemode
Recommends:     innoextract
Recommends:     mangohud
Recommends:     wine
Recommends:     wine-dxvk

Suggests:       scummvm

%description
A simple GOG client for Linux that lets you download and play your GOG Linux
games.


%prep
%forgeautosetup -p1


%build
%py3_build


%install
%py3_install


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license LICENSE THIRD-PARTY-LICENSES.md
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_metainfodir}/*.xml
%{python3_sitelib}/%{name}-*.egg-info/
%{python3_sitelib}/%{name}/


%changelog
## START: Generated by rpmautospec
* Fri Jan 19 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.6-2
- packit: Update config

* Fri Jan 19 2024 Packit <hello@packit.dev> - 1.2.6-1
- [packit] 1.2.6 upstream release
- Resolves rhbz#2259259

* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.5-4
- build: Add Packit config

* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.5-3
- build: Use forge macros

* Fri Oct 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.5-2
- license: Convert to SPDX

* Fri Aug 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.5-1
- chore(update): 1.2.5

* Fri Aug 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.3-1
- chore(update): 1.2.3

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.2.2-4
- Rebuilt for Python 3.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-2
- build: Recommends: innoextract

* Tue Sep 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-1
- chore(update): 1.2.2

* Tue Sep 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.1-1
- chore(update): 1.2.1

* Fri Sep 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-5
- chore(update): 1.2.0-test

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 03 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-3
- chore(update): 1.2.0-test

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.2.0-2
- Rebuilt for Python 3.11

* Wed May 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- chore(update): 1.2.0-test

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-2
- build: Add 'unzip' dep | rh#1913559

* Tue Nov 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- chore(update): 1.1.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0.2-3
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.2-1
- build(update): 1.0.2

* Thu Jan  7 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- build(update): 1.0.1

* Sun Nov 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-1
- build(update): 1.0.0

* Mon Oct  5 16:55:41 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.4-5
- build(add BR): python3-setuptools | per DL-BL7XMXVEHSDZDMH22YET3I4EK66PK4NI

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.4-3
- Add weak dep: wine-dxvk

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.9.4-2
- Rebuilt for Python 3.9

* Mon Apr 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.4-1
- Update to 0.9.4
- Add weak dep: wine | Since version 0.9.4 'minigalaxy' can run Windows games

* Tue Mar 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.3-1
- Update to 0.9.3

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.2-1
- Update to 0.9.2
- Add new weak deps
- Add AppData manifest

* Fri Dec 27 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.1-2
- Update to 0.9.1

* Fri Dec 27 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-3
- Initial package

## END: Generated by rpmautospec
